## gdown 5.2.0+dfsg

=== Makefile ===
all:
	@echo '## Make commands ##'
	@echo
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

lint:
	mypy --package gdown
	ruff format --check
	ruff check

format:
	ruff format
	ruff check --fix

test:
	python -m pytest -n auto -v tests

clean:
	rm -rf build dist *.egg-info

build: clean
	python -m build --sdist --wheel

upload: build
	python -m twine upload dist/gdown-*

publish: build upload

## gdown 5.2.0%2Bdfsg

=== debian/control ===
Source: gdown
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Build-Depends-Indep:
 python3-hatch-fancy-pypi-readme,
 python3-hatch-vcs,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/wkentaro/gdown
Vcs-Browser: https://salsa.debian.org/python-team/packages/gdown
Vcs-Git: https://salsa.debian.org/python-team/packages/gdown.git

Package: gdown
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Google Drive public file downloader
 This tool enables downloading files and folders that are publicly available
 on Google Drive, offering capabilities where standard tools like curl and wget
 might fail. It skips the Google Drive security check for large files, supports
 recursive downloading within folders, and allows specifying output formats for
 Google Slides, Sheets, and Docs.

## gdown 5.2.0+dfsg

=== debian/changelog ===
gdown (5.2.0+dfsg-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 10 Jan 2025 19:46:54 +0000

gdown (5.2.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1092369)

 -- Edward Betts <edward@4angle.com>  Tue, 07 Jan 2025 10:36:38 +0000

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

## gdown 5.2.1+dfsg

=== debian/changelog ===
gdown (5.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 14 Jan 2026 07:02:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,8 +12,7 @@
 Build-Depends-Indep:
  python3-hatch-fancy-pypi-readme,
  python3-hatch-vcs,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/wkentaro/gdown
 Vcs-Browser: https://salsa.debian.org/python-team/packages/gdown
 Vcs-Git: https://salsa.debian.org/python-team/packages/gdown.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: wkentaro
Project: gdown
Dversion-Mangle: s/\+dfsg//
Repacksuffix: +dfsg
Repack: yes
